FROM registry.cn-chengdu.aliyuncs.com/reghao/eclipse-temurin:17.0.17_10-jdk-ffmpeg

WORKDIR /app
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' >/etc/timezone
COPY target/oss-store.jar /app/oss-store.jar

ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-jar","/app/oss-store.jar"]